<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="MetaModules|About">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><title>About MetaModules</title>
        
        <link href="../../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../../index.html#18-metamodules/about/about-metamodules.html">Open topic with navigation</a>
        </p>
        <h1>About MetaModules</h1>
        <p>A&#160;MetaModule is a <span class="VariablesProductName">Metasploit Pro</span> feature that provides a guided interface to walk you through a singular penetration testing task. Each MetaModule leverages the core functionality of a module, such as password testing or passive network discovery, but enables you to quickly configure and run the module with minimal set up. </p>
        <p>Traditionally, in <span class="VariablesProductName">Metasploit Pro</span>, there is a quite a bit of manual configuration that you have to do in order to perform certain tasks. It requires knowledge of the various modules that are available in the Metasploit Framework and an understanding of how to configure and use them. This process can be daunting. This is where MetaModules come into the picture.</p>
        <p>The best way to think of a MetaModule is to think of them as modules with wizards. Like regular modules, they are prepackaged mini programs that you can run to perform a specific task, such as bruteforcing or scanning a target. Unlike modules, MetaModules guide you through its configuration. For example, most MetaModules need you to define the target scope, set up the test options, and generate a report. </p>
        <p>MetaModules are added and updated to <span class="VariablesProductName">Metasploit Pro</span> regularly, so you should always grab the latest software update to get the newest MetaModules. </p>
        <p>To see all the latest MetaModules, select <b class="UISelection">Modules &gt; MetaModules</b> from the Main Menu. </p>
        <p><a class="MCHelpControl MCHelpControl-Related relatedTopics" data-mc-topics="Known Credentials Intrusion MetaModule|../known-credentials-intrusion/known-credentials-intrusion.html||Pass the Hash&#160;MetaModule|../pass-the-hash/pass-the-hash.html||Passive Network Discovery MetaModule|../passive-network-discovery/passive-network-discovery.html||Segmentation and Firewall Testing MetaModule|../segmentation-firewall/segmentation-firewall-testing.html||Single Credential Testing MetaModule|../single-credential-testing/single-credential-testing.html||SSH Key Testing MetaModule|../ssh-key-testing/ssh-key-testing.html"><span class="MCHelpControl-RelatedHotSpot_">Related Topics</span></a>
        </p>
        <p>&#160;</p>
        <p>&#160;</p>
    </body>
</html>